/*
 * Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
 *
 * This file is part of NRAO Workspaces.
 *
 * Workspaces is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Workspaces is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
 */
import { NgModule } from "@angular/core";
import { Routes, RouterModule } from "@angular/router";
import { WorkspacesComponent } from "./workspaces.component";
import { CapabilityRequestComponent } from "./components/capability-request/capability-request.component";
import { AnalystToolsComponent } from "./components/analyst-tools/analyst-tools.component";
import { ListOfCalibratablesComponent } from "./components/list-of-calibratables/list-of-calibratables.component";

const routes: Routes = [
  { path: "", component: WorkspacesComponent },
  { path: "request-status/:id", component: CapabilityRequestComponent },
  { path: "analyst-board", component: AnalystToolsComponent },
  { path: "calibratables", component: ListOfCalibratablesComponent },
  { path: "**", redirectTo: "Search", pathMatch: "full" },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class WorkspacesRoutingModule {}
